VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
TrimOptions Struct Reference

## Public Types
using | CharTestFunc = std::function< bool(char32_t)>

## Public Member Functions
| TrimOptions (CharTestFunc &&func=[](char32_t c){return isSpace(c);})
TrimOptions & | left ()
TrimOptions & | right ()
bool | trimLeft () const
bool | trimRight () const
bool | operator() (char32_t c) const

## Member Typedef Documentation

using CharTestFunc = std::function<bool (char32_t)>

## Constructor & Destructor Documentation

TrimOptions | ( | CharTestFunc && | func = `[] (char32_t c) { return isSpace (c); }` | ) |
| inline

## Member Function Documentation

TrimOptions& left | ( |  | ) |
| inline

bool operator() | ( | char32_t | c | ) | const
| inline

TrimOptions& right | ( |  | ) |
| inline

bool trimLeft | ( |  | ) | const
| inline

bool trimRight | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- cstring.h